#!/bin/sh
 appname=`basename $0 | sed s,\.sh$,,`
 libpath=$(cd "$(dirname "$0")"; pwd)
 dirname=`dirname $0`
 tmp="${dirname#?}"
 
 if [ "${dirname%$tmp}" != "/" ]; then
 dirname=$PWD/$dirname
 fi
 LD_LIBRARY_PATH=$libpath/lib:$libpath/platforms:$libpath/printsupport:$libpath/iconengines:$libpath/imageformats:$libpath/platformthemes:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH

 $dirname/$appname "$@"
